uniform sampler2D colorMap,normalMap,ssaoMap;
uniform float blend;

void main(void) {
	float depth = texture2D(normalMap,gl_TexCoord[0].st).a;
	float color = texture2D(colorMap,gl_TexCoord[0].st);
	float ssao = texture2D(ssaoMap,gl_TexCoord[0].st);

	/*
	float b = blend;
	if(blend < 0)
		b=0;
	if(blend>1)
		b=1;
	*/

	gl_FragData[0] = mix(color,ssao,depth);
	gl_FragData[0].a = 1.0;
	
}
